Package twisted :: Package spread :: Module flavors :: Class Referenceable |
[frames | no frames]

## Class Referenceable

    Jellyable --+
                |
     Serializable --+
                    |
                   Referenceable

Known Subclasses:
  `_PortalAuthChallenger`, `_PortalWrapper`, `_ReferenceableProducerWrapper`, `AsReferenceable`, `AuthChallenger`, `AuthServ`, `CallbackPageCollector`, `ConnectionPool`, `IdentityWrapper`, `Maildir`, `MaildirCollection`, `ManholeClient`, `PathReferenceContextDirectory`, `PathReferenceDirectory`, `Root`, `TwistedWordsClient`, `ViewPoint`

Method Summary
| ``jellyFor`(self, jellier)` (internal)
| ``remoteMessageReceived`(self, broker, message, args, kw)` A remote message has been received.
Inherited from Serializable
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process.
Inherited from Jellyable
| ``getStateFor`(self, jellier)`

Class Variable Summary
`NoneType` | `perspective` = None
Inherited from Jellyable
`tuple` | `__implements__` = `(<class twisted.spread.interfaces.IJell...`

Method Details

### jellyFor(self, jellier) (internal) Return a tuple which will be used as the s-expression to serialize this to a peer. Overrides: `twisted.spread.jelly.Jellyable.jellyFor`

### remoteMessageReceived(self, broker, message, args, kw) A remote message has been received. Dispatch it appropriately. The default implementation is to dispatch to a method called 'remote_messagename' and call it with the same arguments.

Class Variable Details

    ### perspective Type: `NoneType` Value:
        None

Generated by Epydoc 2.0 on Sat Oct 25 00:55:03 2003 | http://epydoc.sf.net